Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Interface ImageAddressSpace

    public interface ImageAddressSpace

This class represents a single Address Space within the image. On some operating systems (e.g. z/OS), there can be more than one Address Space per core file (but generally with only one process per ImageAddressSpace).

Author:
  pburka

Method Summary
`ImageProcess` | `getCurrentProcess()` Get the process within this address space which caused the image to be created.
`java.util.Iterator` | `getImageSections()` Get the raw memory in the address space.
`ImagePointer` | `getPointer(long address)` A factory method for creating pointers into this address space
`java.util.Iterator` | `getProcesses()` Get the set of processes within the address space.

Method Detail

### getCurrentProcess

    ImageProcess getCurrentProcess()

  Get the process within this address space which caused the image to be created.

  Returns:
    the process within this address space which caused the image to be created, if any. Return null if no individual process triggered the creation of the image.

### getProcesses

    java.util.Iterator getProcesses()

  Get the set of processes within the address space.

  Returns:
    an iterator which provides all of the processes within a given address space. In most images, there will only be one process within an ImageAddressSpace
  See Also:
    `ImageProcess`, `CorruptData`

### getPointer

    ImagePointer getPointer(long address)

  A factory method for creating pointers into this address space

  Parameters:
    `address` - the address to point to
  Returns:
    an ImagePointer for the specified address

### getImageSections

    java.util.Iterator getImageSections()

  Get the raw memory in the address space.

  Returns:
    An iterator of all the ImageSections in the address. Their union will be the total process address space
  See Also:
    `ImageSection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD